com.sun.star.comp.helper

## Class Bootstrap

- java.lang.Object
- - com.sun.star.comp.helper.Bootstrap

-     public class Bootstrap
      extends Object

  Bootstrap offers functionality to obtain a context or simply a service manager. The service manager can create a few basic services, whose implementations are:
  - com.sun.star.comp.loader.JavaLoader
  - com.sun.star.comp.urlresolver.UrlResolver
  - com.sun.star.comp.bridgefactory.BridgeFactory
  - com.sun.star.comp.connections.Connector
  - com.sun.star.comp.connections.Acceptor
  - com.sun.star.comp.servicemanager.ServiceManager
  Other services can be inserted into the service manager by using its XSet interface:

              XSet xSet = UnoRuntime.queryInterface( XSet.class, aMultiComponentFactory );
              // insert the service manager
              xSet.insert( aSingleComponentFactory );

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bootstrap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XComponentContext` | `bootstrap()` Bootstraps the component context from a UNO installation.
    `static XComponentContext` | `createInitialComponentContext(Hashtable<String,Object> context_entries)` backwards compatibility stub.
    `static XComponentContext` | `createInitialComponentContext(Map<String,Object> context_entries)` Bootstraps an initial component context with service manager and basic jurt components inserted.
    `static XMultiServiceFactory` | `createSimpleServiceManager()` Bootstraps a servicemanager with the jurt base components registered.
    `static XComponentContext` | `defaultBootstrap_InitialComponentContext()` Bootstraps the initial component context from a native UNO installation.
    `static XComponentContext` | `defaultBootstrap_InitialComponentContext(String ini_file, Hashtable<String,String> bootstrap_parameters)` Backwards compatibility stub.
    `static XComponentContext` | `defaultBootstrap_InitialComponentContext(String ini_file, Map<String,String> bootstrap_parameters)` Bootstraps the initial component context from a native UNO installation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bootstrap

          public Bootstrap()

  - ### Method Detail

    - #### createInitialComponentContext

          public static XComponentContext createInitialComponentContext(Hashtable<String,Object> context_entries)
                                                                 throws Exception

      backwards compatibility stub.
      Throws:
        `Exception`

    - #### createInitialComponentContext

          public static XComponentContext createInitialComponentContext(Map<String,Object> context_entries)
                                                                 throws Exception

      Bootstraps an initial component context with service manager and basic jurt components inserted.
      Parameters:
        `context_entries` - the hash table contains mappings of entry names (type string) to context entries (type class ComponentContextEntry).
      Returns:
        a new context.
      Throws:
        `Exception`

    - #### createSimpleServiceManager

          public static XMultiServiceFactory createSimpleServiceManager()
                                                                 throws Exception

      Bootstraps a servicemanager with the jurt base components registered.

      Returns:
        a freshly boostrapped service manager
      Throws:
        `Exception`
      See Also:
        `ServiceManager`

    - #### defaultBootstrap_InitialComponentContext

          public static final XComponentContext defaultBootstrap_InitialComponentContext()
                                                                                  throws Exception

      Bootstraps the initial component context from a native UNO installation.
      Throws:
        `Exception`
      See Also:
        "cppuhelper/defaultBootstrap_InitialComponentContext()"

    - #### defaultBootstrap_InitialComponentContext

          public static final XComponentContext defaultBootstrap_InitialComponentContext(String ini_file,
                                                                   Hashtable<String,String> bootstrap_parameters)
                                                                                  throws Exception

      Backwards compatibility stub.
      Throws:
        `Exception`

    - #### defaultBootstrap_InitialComponentContext

          public static final XComponentContext defaultBootstrap_InitialComponentContext(String ini_file,
                                                                   Map<String,String> bootstrap_parameters)
                                                                                  throws Exception

      Bootstraps the initial component context from a native UNO installation.
      Parameters:
        `ini_file` - ini_file (may be null: uno.rc besides cppuhelper lib)
        `bootstrap_parameters` - bootstrap parameters (maybe null)
      Throws:
        `Exception`
      See Also:
        "cppuhelper/defaultBootstrap_InitialComponentContext()"

    - #### bootstrap

          public static final XComponentContext bootstrap()
                                                   throws BootstrapException

      Bootstraps the component context from a UNO installation.
      Returns:
        a bootstrapped component context.
      Throws:
        `BootstrapException`
      Since:
        UDK 3.1.0